Package Gnumed :: Package business :: Module gmFamilyHistory :: Class cFamilyHistory |
[frames] | no frames]

# Class cFamilyHistory

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cFamilyHistory

Represents a Family History item.

Instance Methods
add_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
remove_code(self, pk_code=None) <pk_code> must be a value from ref.coding_system_root.pk_coding_system (clin.lnk_code2item_root.fk_generic_code) | source code
format(self, left_margin=0, include_episode=False, include_comment=False, include_codes=False) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| generic_codes
Inherited from `object`: `__class__`

Property Details

### generic_codes Get Method: _get_generic_codes(self) Set Method: _set_generic_codes(self, pk_codes)